SystemOrganization addCategory: #'Filepickerio-Core'!

WATextInputTag subclass: #FIOFilePickerTag
	instanceVariableNames: 'dragNdrop'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Filepickerio-Core'!

!FIOFilePickerTag commentStamp: 'FrancoisStephany 9/26/2012 16:32' prior: 0!
Official docs:
https://developers.filepicker.io/docs/web/

This widget is named "Drag-Drop Widget" in the official documentation!

!FIOFilePickerTag class methodsFor: 'accessing' stamp: 'FrancoisStephany 9/26/2012 17:31'!
javascriptUrl
	^'http://api.filepicker.io/v0/filepicker.js'! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:05'!
apiKey: aString
	self attributes
		at: 'data-fp-apiKey'
		put: aString! !

!FIOFilePickerTag methodsFor: 'actions' stamp: 'FrancoisStephany 9/26/2012 16:36'!
beDragNDrop
	dragNdrop := true.! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:06'!
buttonClass: aString
	self attributes
		at: 'data-fp-button-class'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:05'!
buttonText: aString
	self attributes
		at: 'data-fp-button-text'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:09'!
container: aString
	self attributes
		at: 'data-fp-option-container'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing drag-drop' stamp: 'FrancoisStephany 9/26/2012 17:04'!
dragClass: aString
	self attributes
		at: 'data-fp-drag-class'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing drag-drop' stamp: 'FrancoisStephany 9/26/2012 17:04'!
dragText: aString
	self attributes
		at: 'data-fp-drag-text'
		put: aString! !

!FIOFilePickerTag methodsFor: 'initialize-release' stamp: 'FrancoisStephany 9/26/2012 16:44'!
initialize
	super initialize.
	dragNdrop := false.
	self attributes at: 'data-brol' put: 'thcak'.! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:06'!
maxSize: aString
	self attributes
		at: 'data-fp-option-maxsize'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:07'!
mimeTypes: aString
	self attributes
		at: 'data-fp-mimetypes'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:08'!
multiple: aBoolean
	self attributes
		at: 'data-fp-option-multiple'
		put: aBoolean! !

!FIOFilePickerTag methodsFor: 'accessing options' stamp: 'FrancoisStephany 9/26/2012 17:08'!
services: aString
	self attributes
		at: 'data-fp-option-services'
		put: aString! !

!FIOFilePickerTag methodsFor: 'accessing' stamp: 'FrancoisStephany 9/26/2012 16:40'!
type
	^dragNdrop
		ifTrue: [ ^'filepicker-dragdrop']
		ifFalse: [ ^'filepicker']! !

!WAHtmlCanvas methodsFor: '*filepickerio-core' stamp: 'FrancoisStephany 9/26/2012 16:51'!
fileInput
	^ self brush: FIOFilePickerTag new! !
